
QGIS Application - Bug report #15612

QGis crashes when loading previous versions files

2016-09-23 05:27 AM - Mauro Dallapina

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.16.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 23535

Description

Each time I try to load a .qgs file saved with a previous version of QGis (e.g. 2.14.0) the software crashes.

History

#1 - 2016-09-25 02:05 PM - Nyall Dawson

- Status changed from Open to Feedback

You'll need to attach a sample project for us to be able to diagnose this.

#2 - 2016-09-26 12:37 AM - Mauro Dallapina

- File P_Ingressi.txt added

- File P_Scarichi.txt added

- File P_Sito.txt added

- File CassanoMagnago.qgs added

I attach a QGS file (version="2.14.0-Essen") and three CSV data files. If needed I can also upload the shapefiles and TIFs.

I suspect the problem may be related to raster loading.

Thanks for the support!

#3 - 2016-10-06 12:10 PM - Even Rouault

I couldn't reproduce a crash with the .qgs + 3 .txt you provided. Could you prepare a .zip with everything needed to reproduce the crash ? (possibly the

minimum necessary)

#4 - 2016-10-07 12:31 AM - Mauro Dallapina

- File Cassano_Magnago.zip added

- File Cassano_Magnago_reg.zip added

- File Cassano_Magnago_prov.zip added

- File Cassano_Magnago_CTR-1.zip added

I'm uploading 6 zip files...
#5 - 2016-10-07 01:16 AM - Mauro Dallapina

2 of the zip files are too big, so I couldn't upload'em.

I hope the ones uploaded are enough for our purpose.

In case, you could copy file A5D3.tif and rename it as A5D4.tif (not uploaded), since they are of the same dimensions.

#6 - 2016-10-11 01:21 AM - Giovanni Manghi

- Category set to Project Loading/Saving

#7 - 2017-01-03 04:09 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Tested with QGIS 2.18.2 on both Linux and Windows and cannot replicate.

Likely to be a local issue, anyway please reopen in case you find that this is defintely not caused by a 3rd party plugin (remove all them) and/or a old

setting/configuration (try delete the .qgis2 folder and restart qgis).

Files

CassanoMagnago.qgs 137 KB 2016-09-25 Mauro Dallapina

P_Ingressi.txt 93 Bytes 2016-09-25 Mauro Dallapina

P_Scarichi.txt 85 Bytes 2016-09-25 Mauro Dallapina

P_Sito.txt 90 Bytes 2016-09-25 Mauro Dallapina

Cassano_Magnago.zip 12.1 KB 2016-10-06 Mauro Dallapina

Cassano_Magnago_CTR-1.zip 4.54 MB 2016-10-06 Mauro Dallapina

Cassano_Magnago_prov.zip 1.27 MB 2016-10-06 Mauro Dallapina

Cassano_Magnago_reg.zip 730 KB 2016-10-06 Mauro Dallapina
